Subject: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Michael Albinus <[email-masked]>
Date: Tue, 10 Apr 2012 17:14:28 +0200

Stefan Monnier <[email-masked]> writes:

> "sudo . .eshell/history" means "execute the commands in .eshell/history
> as user `root'".  I.e. it's very different from
> ". /sudo::.eshell/history" which runs those command as the current user.

I haven't said there's only one way to do it :-) I mean we should think
about, before we disable builtins in sudo. I'm still not convinced it is
a bug. In eshell, one must understand how file names are handled.

And, btw, people who don't like the current behaviour are free to add

alias sudo *sudo $*

to ~/.eshell/alias.

>         Stefan

Best regards, Michael.